# Search for asset shares Create a new AssetShareSearch Endpoint: POST /asset-share-searches Version: 2.0.0 Security: bearerToken ## Request fields (application/json): - `from` (integer, required) The item number to begin the result set from - `pageSize` (integer, required) The maximum number of items to return in the result set Example: 100 - `criterion` (any, required) - `sorts` (array) Sorts to be applied to the search in order of precedence - `sorts.field` (string) The name of the [AssetShare](#tag/Asset-Shares) property value, the default is EXPIRY Enum: "ID", "EXPIRY" - `sorts.order` (string) The order of the sort Enum: "ASC", "DESC" ## Response 200 fields (application/json): - `results` (array, required) The specified page of [AssetShare](#tag/Asset-Shares) resources which match the search criterion - `results.result` (object, required) - `results.result.id` (string, required) The unique ID for the [AssetShare](#tag/Asset-Shares) Example: "4517a7ba-a482-4211-b97e-f4256f53fd32" - `results.result.accountId` (string, required) The ID of the Account the [AssetShare](#tag/Asset-Shares) belongs to Example: "cfb665ca-ce35-4418-b9d5-70ee815db4bd" - `results.result.author` (any) - `results.result.assetIds` (array, required) The set of [Asset](#tag/Assets) identifiers that have been shared Example: ["7af90a8b-7ccd-430f-a85d-e8614015bc47","024e1b06-4bda-4630-a788-8063a5b9df85"] - `results.result.expiry` (string,null, required) The datetime the share will expire and no longer be accessible in ISO datetime format. If the expiry is null, the share will never expire. Example: "2021-02-17T09:24:01.417Z" - `results.result.assetPermittedActions` (string, required) Permissions users have on assets they are viewing Enum: "VIEW", "VIEW_AND_DOWNLOAD" - `results.result.valid` (boolean, required) Whether the [AssetShare](#tag/Asset-Shares) is still valid/accessible Example: true - `results.permittedActions` (array, required) - `results.permittedActions.resourceType` (string, required) Defines the type of the resource that is being permitted to act on Enum: "ACCOUNT", "ASSET", "ASSET_SHARES", "ASSETS", "ASSETS_IN_NO_FOLDERS", "CLOUD_CONNECTION", "CLOUD_CONNECTIONS", "COLLECTION", "COLLECTIONS", "COMMENT", "CUSTOM_TERMS_AND_CONDITIONS", "EMAILS", "FIELD_OPTION", "FIELDS", "INDESIGN_EXTENSION", "INTELLIGENCE_SETTINGS", "METADATA_SCHEMA", "PORTALS", "PRESET_SIZES", "REFERRAL", "SAVED_SEARCHES", "SHOPIFY_INTEGRATION_V2", "SUBSCRIPTION", "THEME", "TOP_LEVEL_FIELD_OPTIONS", "USER_GROUPS", "WEB_USAGE" - `results.permittedActions.resourceId` (string) The ID of the resource that is being permitted to act on. This may be null if the permission is on the resource type as a whole rather than an individual instance. Example: "7af90a8b-7ccd-430f-a85d-e8614015bc47" - `results.permittedActions.action` (string, required) Defines the action that is being permitted Enum: "ADD_ASSET_TO_COLLECTION", "ADD_COLLABORATOR_TO_COLLECTION", "APPROVE_ASSETS", "CONFIGURE_SHOPIFY_INTEGRATION", "CREATE_ASSET_SHARES", "CREATE_ASSETS", "CREATE_CHILD_FIELD_OPTIONS", "CREATE_CLOUD_CONNECTIONS", "CREATE_COLLECTIONS", "CREATE_COLLECTION_COMMENTS", "CREATE_COMMENTS", "CREATE_EMBEDDABLE_LINKS", "CREATE_PORTALS", "CREATE_SAVED_SEARCHES", "CREATE_SUBSCRIPTION", "CREATE_TOP_LEVEL_FIELD_OPTIONS", "CUSTOMISE_EMAILS", "DELETE_ASSET", "DELETE_CLOUD_CONNECTION", "DELETE_COLLECTION", "DELETE_COMMENT", "DOWNLOAD_ASSET", "DOWNLOAD_INDESIGN_EXTENSION", "EDIT_ACCOUNT", "EDIT_ASSET", "EDIT_CLOUD_CONNECTION", "EDIT_COLLECTION", "EDIT_COMMENT", "EDIT_FIELDS", "EDIT_INTELLIGENCE_SETTINGS_ADDRESS_LOOKUP", "EDIT_INTELLIGENCE_SETTINGS_IMAGE_AUTO_TAGGING", "EDIT_INTELLIGENCE_SETTINGS_IMAGE_FACIAL_REC", "EDIT_INTELLIGENCE_SETTINGS_TEXT_IN_IMAGE", "EDIT_INTELLIGENCE_SETTINGS_VIDEO_AUTO_TAGGING", "EDIT_INTELLIGENCE_SETTINGS_VIDEO_FACIAL_REC", "EDIT_METADATA_SCHEMA", "EDIT_PRESET_SIZES", "EDIT_THEME", "EDIT_USER_GROUPS", "EXPORT_TO_SHOPIFY", "IMPORT_ASSETS_OR_METADATA", "IMPORT_FROM_CLOUD", "MAKE_REFERRAL", "MANAGE_CUSTOM_TERMS_AND_CONDITIONS", "PROMOTE_ASSETS_TO_LIVE", "PUT_ASSETS_IN_NO_FOLDER", "REMOVE_ASSET_FROM_COLLECTION", "REMOVE_COLLABORATOR_FROM_COLLECTION", "RUN_NATURAL_LANGUAGE_SEARCH", "SEARCH_FOR_VIEW", "SET_ASSETS_LIFECYCLE_STATUS_BINNED", "SET_ASSETS_LIFECYCLE_STATUS_LIVE", "UPDATE_METADATA_WITH_FIELD_OPTION", "USE_CANVA_INTEGRATION", "USE_CLOUD_CONNECTION", "USE_COLLECTIONS", "USE_EMBEDDABLE_LINKS", "VIEW_ASSET", "VIEW_ASSET_EVENTS", "VIEW_ASSET_FACES", "VIEW_ASSETS_IN_NO_FOLDER", "VIEW_CLOUD_CONNECTION", "VIEW_COLLECTION", "VIEW_COMMENTS", "VIEW_WEB_USAGE" - `totalResults` (integer, required) The total number of [AssetShare](#tag/Asset-Shares) resources which match the search criterion Example: 15 ## Response 4XX fields (application/json): - `timestamp` (string) The datetime that the error occurred in ISO offset format Example: "2021-02-16T16:21:58.640+00:00" - `status` (integer) The HTTP status code of the error Example: 401 - `error` (string) The title of the error Example: "Unauthorized" - `message` (string) A more detailed error message - `path` (string) The path that was called which led to the error Example: "/folder-settings"